Subject: bug#9087: Crash reading from minibuffer with icomplete-mode

From: Chong Yidong <[email-masked]>
Date: Sun, 14 Aug 2011 16:13:54 -0400

Juanma Barranquero <[email-masked]> writes:

> #0  w32_abort () at w32fns.c:7182
> #1  0x0103a942 in xfree (block=0x32d4f80) at alloc.c:713
> #2  0x01004b8d in pop_kboard () at keyboard.c:923
> #3  0x01004c6a in restore_kboard_configuration (was_locked=53151794)
> at keyboard.c:985

Can you reproducibly get the crash at this particular UNBLOCK_INPUT?

If so, it narrows the problem to one of the functions called between the
BLOCK_INPUT at window.c:5484 and the UNBLOCK_INPUT at window.c:5720.

A possible way to debug this is be to insert code at intervals between
those two lines, to check the value of interrupt_input_blocked and abort
if it ever changes (which would indicate the existence of an extra
UNBLOCK_INPUT).